## ncbi-vdb 2.10.7+dfsg

=== test/kfs/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: runtests

TOP ?= $(abspath ../..)

MODULE = test/kfs

TEST_TOOLS = \
	kdf \
	test-kfs \
	test-ramfile \
	test-resolve \
	test-cachetee \
	test-cachetee2 \
	test-cachetee3 \
	test-lru-cache \
	test-kfs-md5    \
	test-appendfile

include $(TOP)/build/Makefile.env

$(TEST_TOOLS): makedirs
	@ $(MAKE_CMD) $(TEST_BINDIR)/$@

.PHONY: $(TEST_TOOLS)

clean: stdclean

#-------------------------------------------------------------------------------
# test-kfs
#
TEST_KFS_SRC = \
	kfstest

TEST_KFS_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_KFS_SRC))

TEST_KFS_LIB = \
	-lkapp \
    -sncbi-vdb \
	-lktst

ifeq (1,$(HAVE_MAGIC))
	TEST_KFS_LIB += -skff -lmagic
	CPPFLAGS += -DHAVE_KFF
endif

$(TEST_BINDIR)/test-kfs: $(TEST_KFS_OBJ)
	$(LP) --exe -o $@ $^ $(TEST_KFS_LIB)


#-------------------------------------------------------------------------------
# df
#
DU_SRC = \
	kdf

DU_OBJ = \
	$(addsuffix .$(OBJX),$(DU_SRC))

$(TEST_BINDIR)/kdf: $(DU_OBJ)
	$(LP) --exe -o $@ $^ $(TEST_KFS_LIB)


#-------------------------------------------------------------------------------
# test-kfs-md5
#
TEST_MD5_SRC = \
	md5test

TEST_MD5_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_MD5_SRC))

TEST_MD5_LIB = \
	-skapp \
    -sncbi-vdb \
	-sktst

$(TEST_BINDIR)/test-kfs-md5: $(TEST_MD5_OBJ)
	$(LP) --exe -o $@ $^ $(TEST_MD5_LIB)


#-------------------------------------------------------------------------------
# test-ramfile
#
TEST_RAMFILE_SRC = \
	ramfiletest

TEST_RAMFILE_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_RAMFILE_SRC))

TEST_RAMFILE_LIB = \
	-lkapp \
    -sncbi-vdb \
	-lktst

$(TEST_BINDIR)/test-ramfile: $(TEST_RAMFILE_OBJ)
	$(LP) --exe -o $@ $^ $(TEST_RAMFILE_LIB)

ramfile: test-ramfile
	$(TEST_BINDIR)/test-ramfile

#-------------------------------------------------------------------------------
# test-resolve
#
TEST_RESOLVE_SRC = \
	resolvetest

TEST_RESOLVE_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_RESOLVE_SRC))

TEST_RESOLVE_LIB = \
	-lkapp \
    -sncbi-vdb \
	-lktst

$(TEST_BINDIR)/test-resolve: $(TEST_RESOLVE_OBJ)
	$(LP) --exe -o $@ $^ $(TEST_RESOLVE_LIB)

#-------------------------------------------------------------------------------
# test-cachetee
#
TEST_CACHETEE_SRC = \
	cacheteetest

TEST_CACHETEE_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_CACHETEE_SRC))

TEST_CACHETEE_LIB = \
	-lkapp \
    -sncbi-vdb \
	-lktst

$(TEST_BINDIR)/test-cachetee: $(TEST_CACHETEE_OBJ)
	$(LP) --exe -o $@ $^ $(TEST_CACHETEE_LIB)
	rm *.o *.d

cachetee: test-cachetee
	$(TEST_BINDIR)/test-cachetee

#-------------------------------------------------------------------------------
# test-cachetee2
#
TEST_CACHETEE2_SRC = \
	cachetee2test

TEST_CACHETEE2_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_CACHETEE2_SRC))

TEST_CACHETEE2_LIB = \
	-lkapp \
    -sncbi-vdb \
	-lktst

$(TEST_BINDIR)/test-cachetee2: $(TEST_CACHETEE2_OBJ)
	$(LP) --exe -o $@ $^ $(TEST_CACHETEE2_LIB)
	rm *.o *.d

cachetee2: test-cachetee2
	$(TEST_BINDIR)/test-cachetee2

#-------------------------------------------------------------------------------
# test-cachetee3
#
TEST_CACHETEE3_SRC = \
	cachetee3test

TEST_CACHETEE3_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_CACHETEE3_SRC))

TEST_CACHETEE3_LIB = \
	-lkapp \
    -sncbi-vdb \
	-lktst

$(TEST_BINDIR)/test-cachetee3: $(TEST_CACHETEE3_OBJ)
	$(LP) --exe -o $@ $^ $(TEST_CACHETEE3_LIB)
#	rm *.o *.d

cachetee3: test-cachetee3
	rm -f cache.dat.cache org.dat
	$(TEST_BINDIR)/test-cachetee3
# $(TEST_BINDIR)/test-cachetee3 -vvv

#-------------------------------------------------------------------------------
# test-lru-cache
#
TEST_LRU_CACHE_SRC = \
	lru_cache_test

TEST_LRU_CACHE_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_LRU_CACHE_SRC))

TEST_LRU_CACHE_LIB = \
	-lkapp \
    -sncbi-vdb \
	-lktst

$(TEST_BINDIR)/test-lru-cache: $(TEST_LRU_CACHE_OBJ)
	$(LP) --exe -o $@ $^ $(TEST_LRU_CACHE_LIB)
	rm *.o *.d

testlrucache: test-lru-cache
	$(TEST_BINDIR)/test-lru-cache

#-------------------------------------------------------------------------------
# fuse-proxy ( needed for the cachetee_out_of_space - test
#
FUSE_PROXY_SRC = \
	fuse_proxy

FUSE_PROXY_OBJ = \
	$(addsuffix .$(OBJX),$(FUSE_PROXY_SRC))

FUSE_PROXY_LIB = \
	-lfuse

$(TEST_BINDIR)/fuse-proxy: $(FUSE_PROXY_OBJ)
	$(LP) --exe -o $@ $^ $(FUSE_PROXY_LIB)
	rm *.o *.d

#-------------------------------------------------------------------------------
# cachetee_out_of_space
#
CTOFS_SRC = \
	cachetee-out-of-space

CTOFS_OBJ = \
	$(addsuffix .$(OBJX),$(CTOFS_SRC))

CTOFS_LIB = \
	-lkapp \
    -sncbi-vdb \
	-lktst

$(TEST_BINDIR)/test-cachetee-out-of-space: $(CTOFS_OBJ)
	$(LP) --exe -o $@ $^ $(CTOFS_LIB)
	rm *.o *.d

#-------------------------------------------------------------------------------
# simple_q_test
#
SIMPLE_Q_TEST_SRC = \
	simple_q_test

SIMPLE_Q_TEST_OBJ = \
	$(addsuffix .$(OBJX),$(SIMPLE_Q_TEST_SRC))

SIMPLE_Q_TEST_LIB = \
	-lkapp \
    -sncbi-vdb \
	-lktst

$(TEST_BINDIR)/simple_q: $(SIMPLE_Q_TEST_OBJ)
	$(LP) --exe -o $@ $^ $(SIMPLE_Q_TEST_LIB)
	rm *.o *.d

simple_q: simple_q
	$(TEST_BINDIR)/simple_q

ifeq (linux,$(OS))
ifeq (1,$(HAVE_FUSE))
#-------------------------------------------------------------------------------
# scripted tests
#
runtests: cachetee-out-of-space-test

cachetee-out-of-space-test: $(TEST_BINDIR)/fuse-proxy $(TEST_BINDIR)/test-cachetee-out-of-space run-cachetee-out-of-space-test.sh
	@ echo "++++++++++++++++++++++++++++++++++++++++++++++++++++++"
	@ echo "Running $(SRCDIR)/run-cachetee-out-of-space-test.sh"
	@ $(SRCDIR)/run-cachetee-out-of-space-test.sh $(SRCDIR) $(TEST_BINDIR)
endif
endif

#-------------------------------------------------------------------------------
# test-appendfile
#
TEST_APPENDFILE_SRC = \
	appendfiletest

TEST_APPENDFILE_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_APPENDFILE_SRC))

TEST_APPENDFILE_LIB = \
	-lkapp \
    -sncbi-vdb \
	-lktst

$(TEST_BINDIR)/test-appendfile: $(TEST_APPENDFILE_OBJ)
	$(LP) --exe -o $@ $^ $(TEST_APPENDFILE_LIB)

=== test/kns/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: runtests

runtests: run-tests run-test-proxy-with-scheme

TOP ?= $(abspath ../..)
MODULE = test/kns

TEST_TOOLS = \
	test_allow_all_certificates \
	test_dis_allow_all_certificates \
	test-google-proxy \
	test200for-whole-file \
	test-kns \
	test-http \
	test-http-dropconn \
	test-http-request \
	KNSManagerSingletonTest \
	test-connect \
	test-refresh-expired

include $(TOP)/build/Makefile.env

EXT_TOOLS = \
	test-proxy \
	test-proxy-with-env \
	test-proxy-with-scheme \

ALL_TOOLS = \
	$(INT_TOOLS) \
	$(EXT_TOOLS)

#-------------------------------------------------------------------------------
# outer targets
#
all std: makedirs
	@ $(MAKE_CMD) $(TARGDIR)/$@

$(ALL_TOOLS): makedirs
	@ $(MAKE_CMD) $(BINDIR)/$@

.PHONY: all std $(ALL_TOOLS)

#-------------------------------------------------------------------------------
# all
#
$(TARGDIR)/all: \
	$(addprefix $(BINDIR)/,$(ALL_TOOLS))

.PHONY: $(TARGDIR)/all

#-------------------------------------------------------------------------------
# std
#
$(TARGDIR)/std: \
	$(addprefix $(BINDIR)/,$(EXT_TOOLS))

$(TEST_TOOLS): makedirs
	@ $(MAKE_CMD) $(TEST_BINDIR)/$@

clean: stdclean

INCDIRS += -I$(TOP)/libs/kns

#-------------------------------------------------------------------------------
# white-box test. TODO: combine with the old test/kns/http-test.c, roll into the C++ test-http
#
#
#TEST_SRC = \
#	wb-http-test
#
#TEST_OBJ = \
#	$(addsuffix .$(OBJX),$(TEST_SRC))
#
#TEST_LIB = \
#	-skapp-norsrc \
#	-sncbi-vdb \
#
#$(TEST_BINDIR)/test-http: $(TEST_OBJ)
#	$(LD) --exe -o $@ $^ $(TEST_LIB)

KNSTEST_LIB = \
	-skapp \
    -sncbi-vdb \
    -sktst \

#----------------------------------------------------------------
# KNSManagerSingletonTest
#
SINGLETON_SRC = \
	KNSManagerSingletonTest
SINGLETON_OBJ = \
	$(addsuffix .$(OBJX),$(SINGLETON_SRC))
$(TEST_BINDIR)/KNSManagerSingletonTest: $(SINGLETON_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

#----------------------------------------------------------------
# test-kns
#
KNSTEST_SRC = \
	knstest

KNSTEST_OBJ = \
	$(addsuffix .$(OBJX),$(KNSTEST_SRC))

$(TEST_BINDIR)/test-kns: $(KNSTEST_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

kns: test-kns
	$(TEST_BINDIR)/test-kns  #-l=all

#----------------------------------------------------------------
# test_allow_all_certificates
#
AAA_SRC = \
	test_allow_all_certificates

AAA_OBJ = \
	$(addsuffix .$(OBJX),$(AAA_SRC))

$(TEST_BINDIR)/test_allow_all_certificates: $(AAA_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

#----------------------------------------------------------------
# test_dis_allow_all_certificates
#
DAA_SRC = \
	test_dis_allow_all_certificates

DAA_OBJ = \
	$(addsuffix .$(OBJX),$(DAA_SRC))

$(TEST_BINDIR)/test_dis_allow_all_certificates: $(DAA_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

#----------------------------------------------------------------
# test-google-proxy
#
P_SRC = \
	test-google-proxy

P_OBJ = \
	$(addsuffix .$(OBJX),$(P_SRC))

$(TEST_BINDIR)/test-google-proxy: $(P_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

#----------------------------------------------------------------
# test200for-whole-file
#
K2_SRC = \
	test200for-whole-file \

K2_OBJ = \
	$(addsuffix .$(OBJX),$(K2_SRC))

$(TEST_BINDIR)/test200for-whole-file: $(K2_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

#----------------------------------------------------------------
# test-proxy
#
PROXYTEST_SRC = \
	http-client \
	test-proxy \

PROXYTEST_OBJ = \
	$(addsuffix .$(OBJX),$(PROXYTEST_SRC))

$(BINDIR)/test-proxy: $(PROXYTEST_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)


#----------------------------------------------------------------
# test-proxy-with-scheme
#
PROXYSCH_SRC = \
	test-proxy-with-scheme \

PROXYSCH_OBJ = \
	$(addsuffix .$(OBJX),$(PROXYSCH_SRC))

$(BINDIR)/test-proxy-with-scheme: $(PROXYSCH_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)


#----------------------------------------------------------------
# test-http
#
HTTPTEST_SRC = \
	HttpFixture \
	httptest

HTTPTEST_OBJ = \
	$(addsuffix .$(OBJX),$(HTTPTEST_SRC))

$(TEST_BINDIR)/test-http: $(HTTPTEST_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

http: test-http
	unset http_proxy ; $(TEST_BINDIR)/test-http  # -l=all

#----------------------------------------------------------------
# test-http-dropconn
#
HTTP_DROPCONN_TEST_SRC = \
	http_dropconnection_test

HTTP_DROPCONN_TEST_OBJ = \
	$(addsuffix .$(OBJX),$(HTTP_DROPCONN_TEST_SRC))

$(TEST_BINDIR)/test-http-dropconn: $(HTTP_DROPCONN_TEST_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

dropconn: test-http-dropconn
	$(TEST_BINDIR)/test-http-dropconn  # -l=all

#----------------------------------------------------------------
# test-http-request
#
HTTP_REQUEST_TEST_SRC = \
	HttpFixture \
	test-http-request

HTTP_REQUEST_TEST_OBJ = \
	$(addsuffix .$(OBJX),$(HTTP_REQUEST_TEST_SRC))

$(TEST_BINDIR)/test-http-request: $(HTTP_REQUEST_TEST_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

req: test-http-request
	$(TEST_BINDIR)/test-http-request

#----------------------------------------------------------------
# test-proxy-with-env
#
TOOL_SRC = \
	http-client \
	test-proxy-with-env \

TOOL_OBJ = \
	$(addsuffix .$(OBJX),$(TOOL_SRC))

$(BINDIR)/test-proxy-with-env: $(TOOL_OBJ)
	$(LP) --exe -o $@ $^ -L$(VDB_LIBDIR) -L$(VDB_LIBDIR)/../ilib $(KNSTEST_LIB)

#----------------------------------------------------------------
# test-connect
#
CONNECT_SRC = \
	test-connect \

CONNECT_OBJ = \
	$(addsuffix .$(OBJX),$(CONNECT_SRC))

$(TEST_BINDIR)/test-connect: $(CONNECT_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

connect: test-connect
	$(TEST_BINDIR)/test-connect

#----------------------------------------------------------------

#----------------------------------------------------------------
# test-refresh-expired
#
REFRESH_SRC = \
	HttpFixture \
	KStableHttpFile \
	test-refresh-expired-url \

REFRESH_OBJ = \
	$(addsuffix .$(OBJX),$(REFRESH_SRC))

$(TEST_BINDIR)/test-refresh-expired: $(REFRESH_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

refresh: test-refresh-expired
	$(TEST_BINDIR)/test-refresh-expired

#----------------------------------------------------------------

run-tests:
	unset http_proxy ; $(TEST_BINDIR)/test-http
	unset http_proxy ; $(BINDIR)/test-proxy

# test-proxy-with-scheme never does direct internet connection
# ( /http/proxy/only = "true" )
# It can access internet
# just when there is a good proxy specified via configuration or environment

run-test-proxy-with-scheme:
	@ echo test-proxy-with-scheme: BEGIN ...

	# no proxy specified: fail
	@ unset http_proxy ; $(BINDIR)/test-proxy-with-scheme

	# bad proxy in configuration: fail
	@ unset http_proxy ; \
                $(BINDIR)/test-proxy-with-scheme =BAD.proxy.ncbi.nlm.nih.gov

	# good proxy in configuration: success
	@ ping -c1 webproxy > /dev/null \
        && $(BINDIR)/test-proxy-with-scheme =webproxy.ncbi.nlm.nih.gov  SUCCESS \
        || echo skipped

	# bad proxy in environment: fail
	@ http_proxy=BAD.proxy.ncbi.nlm.nih.gov $(BINDIR)/test-proxy-with-scheme

	# good proxy in environment: success
	@ ping -c1 webproxy > /dev/null && all_proxy=webproxy.ncbi.nlm.nih.gov \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped

	# good proxy with schema in environment: success
	@ ping -c1 webproxy > /dev/null && ALL_PROXY=http://webproxy.ncbi.nlm.nih.gov \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped

	# good proxy with schema and port in environment: success
	@ ping -c1 webproxy > /dev/null && \
        http_proxy=http://webproxy.ncbi.nlm.nih.gov:3128 \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped

	# good proxy with any schema in environment: success
	@ ping -c1 webproxy > /dev/null && \
        HTTP_PROXY=anySchemaWillBeIgnored://webproxy.ncbi.nlm.nih.gov \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped

	# bad proxy port in environment: fail
	@ http_proxy=http://webproxy.ncbi.nlm.nih.gov:3 \
		$(BINDIR)/test-proxy-with-scheme

	# bad proxy specifications in environment: fail
	@ http_proxy=h            $(BINDIR)/test-proxy-with-scheme
	@ http_proxy=:            $(BINDIR)/test-proxy-with-scheme
	@ http_proxy=:a           $(BINDIR)/test-proxy-with-scheme
	@ http_proxy=:2           $(BINDIR)/test-proxy-with-scheme
	@ http_proxy=h:/w.g:3128  $(BINDIR)/test-proxy-with-scheme
	@ http_proxy=http://      $(BINDIR)/test-proxy-with-scheme
	@ http_proxy=http://:3128 $(BINDIR)/test-proxy-with-scheme

	# VDB-3329: http_proxy specification with trailing slash
	@ ping -c1 webproxy > /dev/null && \
	http_proxy=http://webproxy.ncbi.nlm.nih.gov:3128/     \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped
	@ ping -c1 webproxy > /dev/null && \
	http_proxy=http://webproxy.ncbi.nlm.nih.gov:3128///   \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped
	@ ping -c1 webproxy > /dev/null && \
	http_proxy=http://webproxy.ncbi.nlm.nih.gov:3128/:    \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped
	@ ping -c1 webproxy > /dev/null && \
	http_proxy=http://webproxy.ncbi.nlm.nih.gov:3128???XY \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped
	@ http_proxy=http://webproxy.ncbi.nlm.nih.gov/X         \
		$(BINDIR)/test-proxy-with-scheme
	@ http_proxy=http://webproxy.ncbi.nlm.nih.gov?X         \
		$(BINDIR)/test-proxy-with-scheme

	@ echo ... test-proxy-with-scheme: END

=== test/vdb/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: runtests

TOP ?= $(abspath ../..)

MODULE = test/vdb

TEST_TOOLS = \
	test-vdb \
	test-wvdb \
	test-dependencies \
	test-sparse-col-rw \
	test-sparse-col-rd \
	test-blob-val \
	test-VDB-3060 \
	test-VDB-3061 \
	test-bytecode \
	test-view \
	test-tablecursor \
	test-wtablecursor \
	test-view-cursor \
	test-VDB-4156   \

#	test-VDB-3418

include $(TOP)/build/Makefile.env


# make sure runs are not cached in the user repository when running tests
ifeq ($(wildcard ../../../asm-trace),)
	ifeq (,$(VDB_CONFIG))
		VDB_CONFIG = $(shell pwd)/../only-remote-repository.kfg
	endif
endif


$(TEST_TOOLS): makedirs
	@ $(MAKE_CMD) $(TEST_BINDIR)/$@

runtests: setup

setup:
	@ mkdir -p db

.PHONY: $(TEST_TOOLS) setup

clean: stdclean

READ_LIBS = \
	-skapp \
	-sktst \
	-sncbi-vdb

WRITE_LIBS = \
	-skapp \
	-sktst \
	-sncbi-wvdb

#-------------------------------------------------------------------------------
# test-vdb
#
TEST_VDB_SRC = \
	test-vdb

TEST_VDB_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_VDB_SRC))

$(TEST_BINDIR)/test-vdb: $(TEST_VDB_OBJ)
	$(LP) --exe -o $@ $^ $(READ_LIBS)

vdb: test-vdb
	$(TEST_BINDIR)/test-vdb

valgrind_vdb: std
	valgrind --ncbi --show-reachable=no $(TEST_BINDIR)/test-vdb

#-------------------------------------------------------------------------------
# test-dependencies
#
TEST_DEPS_SRC = \
	test-dependencies

TEST_DEPS_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_DEPS_SRC))

$(TEST_BINDIR)/test-dependencies: $(TEST_DEPS_OBJ)
	$(LP) --exe -o $@ $^ $(READ_LIBS)

deps: test-dependencies
	$(TEST_BINDIR)/test-dependencies

valgrind_deps: std
	valgrind --ncbi --show-reachable=no $(TEST_BINDIR)/test-dependencies

#-------------------------------------------------------------------------------
# test-wvdb
#
TEST_WVDB_SRC = \
	test-wvdb

TEST_WVDB_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_WVDB_SRC))

$(TEST_BINDIR)/test-wvdb: $(TEST_WVDB_OBJ)
	$(LP) --exe -o $@ $^ $(WRITE_LIBS)

wvdb: test-wvdb
	$(TEST_BINDIR)/test-wvdb

valgrind_wvdb: std
	valgrind --ncbi --show-reachable=no $(TEST_BINDIR)/test-wvdb

#-------------------------------------------------------------------------------
# test-sparse-col
#  We will compile the same test file first in read/write mode, create DB and
#  run tests using libncbi-wvdb library; then compile the same test with -DREAD_ONLY
#  and link it against read-only lincbi-vdb library
TEST_SPARSE_COL_SRC = \
	test-sparse-col

TEST_SPARSE_COL_OBJ_RW = \
	$(addsuffix .$(OBJX),$(TEST_SPARSE_COL_SRC)-rw)

TEST_SPARSE_COL_OBJ_RD = \
	$(addsuffix .$(OBJX),$(TEST_SPARSE_COL_SRC)-rd)

TEST_SPARSE_COL_LIB = \
	-skapp \
	-sktst \

$(TEST_SPARSE_COL_OBJ_RW): $(TEST_SPARSE_COL_SRC).cpp
	$(CP) -o $@ $(OPT) $< $(LOC_INFO) -D__file_ext__=cpp

$(TEST_SPARSE_COL_OBJ_RD): $(TEST_SPARSE_COL_SRC).cpp
	$(CP) -o $@ $(OPT) $< $(LOC_INFO) -D__file_ext__=cpp -DREAD_ONLY

$(TEST_BINDIR)/test-sparse-col-rw: $(TEST_SPARSE_COL_OBJ_RW)
	$(LP) --exe -o $@ $^ $(TEST_SPARSE_COL_LIB) -sncbi-wvdb

$(TEST_BINDIR)/test-sparse-col-rd: $(TEST_SPARSE_COL_OBJ_RD)
	$(LP) --exe -o $@ $^ $(TEST_SPARSE_COL_LIB) -sncbi-vdb

sparse-col: test-sparse-col-rw test-sparse-col-rd
	$(TEST_BINDIR)/test-sparse-col-rw
	$(TEST_BINDIR)/test-sparse-col-rd

valgrind_sparse-col: std
	valgrind --ncbi --show-reachable=no $(TEST_BINDIR)/test-sparse-col-rw
	valgrind --ncbi --show-reachable=no $(TEST_BINDIR)/test-sparse-col-rd

#-------------------------------------------------------------------------------
# test-blob-val
#
TEST_BLOB_VAL_SRC = \
	test-blob-val

TEST_BLOB_VAL_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_BLOB_VAL_SRC))

$(TEST_BINDIR)/test-blob-val: $(TEST_BLOB_VAL_OBJ)
	$(LP) --exe -o $@ $^ $(READ_LIBS)

blob-val: test-blob-val
	$(TEST_BINDIR)/test-blob-val

#-------------------------------------------------------------------------------
# SYS-224064
#
SYS_224064_SRC = \
	SYS-224064

SYS_224064_OBJ = \
	$(addsuffix .$(OBJX),$(SYS_224064_SRC))

SYS_224064_LIB = \
	-sncbi-vdb \

$(TEST_BINDIR)/SYS-224064: $(SYS_224064_OBJ)
	$(LP) --exe -o $@ $^ $(SYS_224064_LIB)

SYS-224064: makedirs
	@ $(MAKE_CMD) $(TEST_BINDIR)/$@


#-------------------------------------------------------------------------------
# VDB-3060
#
VDB_3060_SRC = \
	test-VDB-3060

VDB_3060_OBJ = \
	$(addsuffix .$(OBJX),$(VDB_3060_SRC))

$(TEST_BINDIR)/test-VDB-3060: $(VDB_3060_OBJ)
	$(LP) --exe -o $@ $^ $(READ_LIBS)

VDB-3060: test-VDB-3060
	$(TEST_BINDIR)/test-VDB-3060

#-------------------------------------------------------------------------------
# VDB-3061
#
VDB_3061_SRC = \
	test-VDB-3061

VDB_3061_OBJ = \
	$(addsuffix .$(OBJX),$(VDB_3061_SRC))

$(TEST_BINDIR)/test-VDB-3061: $(VDB_3061_OBJ)
	$(LP) --exe -o $@ $^ $(READ_LIBS)

VDB-3061: test-VDB-3061
	$(TEST_BINDIR)/test-VDB-3061

#-------------------------------------------------------------------------------
# byte code
#
VDB_BYTECODE_SRC = \
	test-bytecode

VDB_BYTECODE_OBJ = \
	$(addsuffix .$(OBJX),$(VDB_BYTECODE_SRC))

VDB_BYTECODE_LIB = \
	-skapp \
	-sktst \
	-sncbi-wvdb

$(TEST_BINDIR)/test-bytecode: $(VDB_BYTECODE_OBJ)
	$(LP) --exe -o $@ $^ $(VDB_BYTECODE_LIB)

bytecode: test-bytecode
	$(TEST_BINDIR)/test-bytecode

#-------------------------------------------------------------------------------
# v2 View
#
VDB_VIEW_SRC = \
	test-view

VDB_VIEW_OBJ = \
	$(addsuffix .$(OBJX),$(VDB_VIEW_SRC))

VDB_VIEW_LIB = \
	-skapp \
	-sktst \
	-sncbi-wvdb \
	-sschema

$(TEST_BINDIR)/test-view: $(VDB_VIEW_OBJ)
	$(LP) --exe -o $@ $^ $(VDB_VIEW_LIB)

view: test-view
	$(TEST_BINDIR)/test-view

#-------------------------------------------------------------------------------
# test-tablecursor
#
TEST_TABLECURSOR_SRC = \
	test-tablecursor

TEST_TABLECURSOR_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_TABLECURSOR_SRC))

$(TEST_BINDIR)/test-tablecursor: $(TEST_TABLECURSOR_OBJ)
	$(LP) --exe -o $@ $^ $(READ_LIBS)

tcur: test-tablecursor
	$(TEST_BINDIR)/$^

#-------------------------------------------------------------------------------
# test-wtablecursor
#
TEST_WTABLECURSOR_SRC = \
	test-wtablecursor

TEST_WTABLECURSOR_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_WTABLECURSOR_SRC))

$(TEST_BINDIR)/test-wtablecursor: $(TEST_WTABLECURSOR_OBJ)
	$(LP) --exe -o $@ $^ $(WRITE_LIBS)

twcur: test-wtablecursor
	$(TEST_BINDIR)/$^

#-------------------------------------------------------------------------------
# test-view-cursor
#
TEST_VIEW_CURSOR_SRC = \
	test-view-cursor

TEST_VIEW_CURSOR_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_VIEW_CURSOR_SRC))

$(TEST_BINDIR)/test-view-cursor: $(TEST_VIEW_CURSOR_OBJ)
	$(LP) --exe -o $@ $^ $(VDB_VIEW_LIB) -ssraxf

vcur: test-view-cursor
	$(TEST_BINDIR)/$^

#-------------------------------------------------------------------------------
# VDB-3305
#
VDB_3305_SRC = \
	test-VDB-3305

VDB_3305_OBJ = \
	$(addsuffix .$(OBJX),$(VDB_3305_SRC))

VDB_3305_LIB = \
	-skapp \
	-sktst \
	-sncbi-vdb

$(TEST_BINDIR)/test-VDB-3305: $(VDB_3305_OBJ)
	$(LP) --exe -o $@ $^ $(VDB_3305_LIB)

VDB-3305: test-VDB-3305
	$(TEST_BINDIR)/test-VDB-3305


#-------------------------------------------------------------------------------
# VDB-3418
#
VDB_3418_SRC = \
	test-VDB-3418

VDB_3418_OBJ = \
	$(addsuffix .$(OBJX),$(VDB_3418_SRC))

VDB_3418_LIB = \
	-skapp \
	-sktst \
	-sncbi-vdb

$(TEST_BINDIR)/test-VDB-3418: $(VDB_3418_OBJ)
	$(LP) --exe -o $@ $^ $(VDB_3418_LIB)

VDB-3418: test-VDB-3418
	$(TEST_BINDIR)/test-VDB-3418

#-------------------------------------------------------------------------------
# VDB-4156
#
TEST_VDB4156_SRC = \
	test-VDB-4156

TEST_VDB4156_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_VDB4156_SRC))

$(TEST_BINDIR)/test-VDB-4156: $(TEST_VDB4156_OBJ)
	$(LP) --exe -o $@ $^ $(WRITE_LIBS)

VDB-4156: test-VDB-4156
	$(TEST_BINDIR)/test-VDB-4156

=== test/vfs/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: runtests

TOP ?= $(abspath ../..)

MODULE = test/vfs

TEST_TOOLS = \
	test-redirect-rejected-names-cgi-http-to-https \
	test-resolver-with-log \
	test-sdl-response \
	test-services \
	test-caching \
	test-names-30 \
	test-path \
	test-path-c \
	test-perm \
	test-resolver \
	test-vfsmanager \
	test-json-response \
	test-log-names-error \
	test-resolver4 \

include $(TOP)/build/Makefile.env

$(TEST_TOOLS): makedirs
	@ $(MAKE_CMD) $(TEST_BINDIR)/$@

.PHONY: $(TEST_TOOLS)

vg: $(addprefix vg-,$(TEST_TOOLS))

clean: stdclean

#-------------------------------------------------------------------------------
# C test on VPath (aka test-vfs on Windows)
#

TEST_SRC = \
	path-test

TEST_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_SRC))

TEST_LIB = \
	-skapp \
	-sncbi-vdb \

$(TEST_BINDIR)/test-path-c: $(TEST_OBJ)
	$(LD) --exe -o $@ $^ $(TEST_LIB)

#----------------------------------------------------------------
# C++ test on VPath
#

PATHTEST_SRC = \
	pathtest

PATHTEST_OBJ = \
	$(addsuffix .$(OBJX),$(PATHTEST_SRC))

PATHTEST_LIB = \
	-skapp \
	-sktst \
	-sncbi-vdb \

$(TEST_BINDIR)/test-path: $(PATHTEST_OBJ)
	$(LP) --exe -o $@ $^ $(PATHTEST_LIB)

#----------------------------------------------------------------
HTTPS_SRC = \
	redirect-rejected-names-cgi-http-to-https

HTTPS_OBJ = \
	$(addsuffix .$(OBJX),$(HTTPS_SRC))

$(TEST_BINDIR)/test-redirect-rejected-names-cgi-http-to-https: $(HTTPS_OBJ)
	$(LP) --exe -o $@ $^ $(PATHTEST_LIB)

#----------------------------------------------------------------
# resolver4

R4_SRC = \
	test-resolver4

R4_OBJ = \
	$(addsuffix .$(OBJX),$(R4_SRC))

$(TEST_BINDIR)/test-resolver4: $(R4_OBJ)
	$(LP) --exe -o $@ $^ $(PATHTEST_LIB)

#----------------------------------------------------------------
# json-response

J_SRC = \
	test-json-response

J_OBJ = \
	$(addsuffix .$(OBJX),$(J_SRC))

$(TEST_BINDIR)/test-json-response: $(J_OBJ)
	$(LP) --exe -o $@ $^ $(PATHTEST_LIB)

#----------------------------------------------------------------
# log-names-error

LNE_SRC = \
	test-log-names-error

LNE_OBJ = \
	$(addsuffix .$(OBJX),$(LNE_SRC))

$(TEST_BINDIR)/test-log-names-error: $(LNE_OBJ)
	$(LP) --exe -o $@ $^ $(PATHTEST_LIB)

#----------------------------------------------------------------
# sdl-response

S_SRC = \
	test-sdl-response

S_OBJ = \
	$(addsuffix .$(OBJX),$(S_SRC))

$(TEST_BINDIR)/test-sdl-response: $(S_OBJ)
	$(LP) --exe -o $@ $^ $(PATHTEST_LIB)

#----------------------------------------------------------------
# test-caching

CACHING_SRC = \
	test-caching

CACHING_OBJ = \
	$(addsuffix .$(OBJX),$(CACHING_SRC))

$(TEST_BINDIR)/test-caching: $(CACHING_OBJ)
	$(LP) --exe -o $@ $^ $(PATHTEST_LIB)

caching: test-caching
	$(TEST_BINDIR)/test-caching

#----------------------------------------------------------------
# test-names-30

N30_SRC = \
	test-names-30

N30_OBJ = \
	$(addsuffix .$(OBJX),$(N30_SRC))

$(TEST_BINDIR)/test-names-30: $(N30_OBJ)
	$(LP) --exe -o $@ $^ $(PATHTEST_LIB)

#----------------------------------------------------------------
# test-perm

TP_SRC = \
	test-perm

TP_OBJ = \
	$(addsuffix .$(OBJX),$(TP_SRC))

$(TEST_BINDIR)/test-perm: $(TP_OBJ)
	$(LP) --exe -o $@ $^ $(PATHTEST_LIB)

#----------------------------------------------------------------
# C++ test on VFSManager
#

MANAGERTEST_SRC = \
	managertest

MANAGERTEST_OBJ = \
	$(addsuffix .$(OBJX),$(MANAGERTEST_SRC))

MANAGERTEST_LIB = \
	-skapp \
	-sktst \
	-sncbi-vdb \

$(TEST_BINDIR)/test-vfsmanager: $(MANAGERTEST_OBJ)
	$(LP) --exe -o $@ $^ $(MANAGERTEST_LIB)


#----------------------------------------------------------------
# C++ test on VResolver
#

RESOLVERTEST_SRC = \
	resolvertest

RESOLVERTEST_OBJ = \
	$(addsuffix .$(OBJX),$(RESOLVERTEST_SRC))

RESOLVERTEST_LIB = \
	-skapp \
	-sktst \
	-sncbi-vdb \

$(TEST_BINDIR)/test-resolver: $(RESOLVERTEST_OBJ)
	$(LP) --exe -o $@ $^ $(RESOLVERTEST_LIB)

resolver: test-resolver
	$(TEST_BINDIR)/test-resolver

#----------------------------------------------------------------
# Test of names service
#

RESOLVERTESTLOG_SRC = \
	test-resolver-with-log

RESOLVERTESTLOG_OBJ = \
	$(addsuffix .$(OBJX),$(RESOLVERTESTLOG_SRC))

$(TEST_BINDIR)/test-resolver-with-log: $(RESOLVERTESTLOG_OBJ)
	$(LP) --exe -o $@ $^ $(RESOLVERTEST_LIB)

#----------------------------------------------------------------
# Test of names service
#
SERVICES_SRC = \
	test-services

SERVICES_OBJ = \
	$(addsuffix .$(OBJX),$(SERVICES_SRC))

$(TEST_BINDIR)/test-services: $(SERVICES_OBJ)
	$(LP) --exe -o $@ $^ $(RESOLVERTEST_LIB)

=== debian/changelog ===
ncbi-vdb (2.10.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * debian/not-installed: Update for new release (more test-related files).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 02 Jun 2020 21:35:11 -0400

ncbi-vdb (2.10.6+dfsg-5) unstable; urgency=medium

  * Comment out fix_parallel_build.patch (evidently insufficient) in favor
    of overriding dh_prep to spare(!) debian/tmp.
  * optionally_reinstate_default_schema.patch: Use plain extern rather
    than SRA_EXTERN to avoid likely multiple definitions under GCC 10.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 26 May 2020 10:32:22 -0400

ncbi-vdb (2.10.6+dfsg-4) unstable; urgency=medium

  * debian/patches/fix_parallel_build.patch (new): Use unique temporary
    directory names when combining static libraries.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 26 May 2020 08:06:35 -0400

ncbi-vdb (2.10.6+dfsg-3) unstable; urgency=medium

  * debian/patches/optionally_reinstate_default_schema.patch: New patch to
    let callers use the default schema, otherwise dropped upstream as of
    2.10.0.  (The toggle is a new global variable
    SRAUseLegacyDefaultSchema, which sra-sdk's tools/sra-load will enable
    to address the autopkgtest failure #961347.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 25 May 2020 22:38:23 -0400

ncbi-vdb (2.10.6+dfsg-2) unstable; urgency=medium

  * Install libs/vfs/services-priv.h as .../services-priv-internal.h to
    distinguish it from interfaces/vfs/services-priv.h.  (Neither can
    stand in for the other.)
  * Formally refresh patches that developed offsets.
  * Factor out a new DSLMFLAGS macro for common d-shlibmove flags; include
    the libmbedx509-0 quirk there since it will soon be needed everywhere.
  * Address remaining underlinkage of system libraries (mbed*, z, bz2).
    At this point, the only remaining unresolved references are of libkdf5
    against symbols that could come from either libncbi-vdb or libncbi-wvdb.
    (Closes: #952623, #952627, #953897.)
  * Copy headers rather than moving them to allow for consecutive builds.
  * Fix typo in override_dh_missing name; supply debian/not-installed.
  * Add myself to Uploaders.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 20 May 2020 22:13:24 -0400

ncbi-vdb (2.10.6+dfsg-1) unstable; urgency=medium

  * Team upload.

  * New upstream version
  * Rules-Requires-Root: no (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Mon, 18 May 2020 23:55:32 +0200

ncbi-vdb (2.10.5+dfsg-1) UNRELEASED; urgency=medium

  * New upstream version

  [ Andreas TIlle ]
  * Try even harder to get rid of vdb_mbedtls symbols

  [ Michael R. Crusoe ]
  * Update mbedtls patches to 2.10.5 and consolidate them

 -- Steffen Moeller <moeller@debian.org>  Mon, 02 Mar 2020 02:04:31 +0100

ncbi-vdb (2.10.3+dfsg-2) unstable; urgency=medium

  * Removed additional invocations of vdb_mbedtls to avoid
    undefined references when linking against vdb.

 -- Steffen Moeller <moeller@debian.org>  Mon, 02 Mar 2020 01:12:48 +0100

=== debian/control ===
Source: ncbi-vdb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>, Aaron M. Ucko <ucko@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               d-shlibs (>= 0.82),
               libbz2-dev,
               libxml2-dev,
               libhdf5-dev,
               libmagic-dev,
               libngs-sdk-dev,
               libngs-java,
               libmbedtls-dev,
               zlib1g-dev,
               default-jdk-headless
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/ncbi-vdb
Vcs-Git: https://salsa.debian.org/med-team/ncbi-vdb.git
Homepage: https://github.com/ncbi/ncbi-vdb
Rules-Requires-Root: no

Package: libncbi-vdb2
Architecture: amd64 i386 x32
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: libraries for using data in the INSDC Sequence Read Archives
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.

Package: libncbi-vdb-dev
Architecture: amd64 i386 x32
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libncbi-vdb2 (= ${binary:Version}),
         libkdf5-dev (= ${binary:Version}),
         libncbi-wvdb-dev (= ${binary:Version}),
         libaec-dev,
         libbz2-dev,
         zlib1g-dev
Description: libraries for using data in the INSDC Sequence Read Archives (devel)
 Much of the data submitted these days, for example in BAM, Illumina
 export.txt, and Complete Genomics formats, contain alignment
 information. With aligned data, NCBI uses Compression by Reference,
 which only stores the differences in base pairs between sequence data
 and the segment it aligns to. The process to restore original data, for
 example as FastQ, requires fast access to the reference sequences that
 the original data was aligned to. NCBI recommends that SRA users
 dedicate local disk space to store references downloaded from the NCBI
 SRA site. As of Fall 2014, the complete collection of these reference
 sequences is 66 GB. While it isn't usually necessary to download the
 entirety of the reference sequences, this should give you an idea of the
 scale of the storage requirement. By default, the Toolkit will download
 missing reference sequences on demand and cache them in the user's home
 directory. The location of this cache is configurable, as is whether the
 download is automatic or manual.
 .
 This is the development package.

Package: libkdf5-2
Architecture: amd64 i386 x32
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libmbedtls-dev
Description: hdf5 access to data in the INSDC Sequence Read Archives
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 This library is part of the ncbi-vdb package and provides an interface
 to the Hierarchical Data Format 5 (HDF5).

Package: libkdf5-dev
Architecture: amd64 i386 x32
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libkdf5-2 (= ${binary:Version})
Description: hdf5 access to data in the INSDC Sequence Read Archives (devel)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 This library is part of the ncbi-vdb package and provides an interface
 to the Hierarchical Data Format 5 (HDF5).
 .
 This is the development package.

Package: libncbi-wvdb2
Architecture: amd64 i386 x32
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: virtual layer update modul of ncbi-vdb library
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 This library is part of the ncbi-vdb package.

Package: libncbi-wvdb-dev
Architecture: amd64 i386 x32
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libncbi-wvdb2 (= ${binary:Version})
Description: virtual layer update modul of ncbi-vdb library (devel)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 This library is part of the ncbi-vdb package.
 .
 This is the development package.

Package: libvdb-sqlite2
Architecture: amd64 i386 x32
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: sqlite modul of ncbi-vdb library
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 This library is part of the ncbi-vdb package and provides a sqlite
 interface.

Package: libvdb-sqlite-dev
Architecture: amd64 i386 x32
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libvdb-sqlite2 (= ${binary:Version})
Description: sqlite modul of ncbi-vdb library (devel)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 This library is part of the ncbi-vdb package and provides a sqlite
 interface.
 .
 This is the development package.
